Autor Zpráva
Akacko
Profil
nainstaloval jsem si mysql, potom jsem nainastaloval MyAdmina a v php.ini odkomentoval rozšíření pro mysql/mysqli

když chci spustit MyAdmina tak mi vypiše chybu

nelze nahrát rozšíření mysql,<br />zkontrolujte prosím nastavení PHP

jak mam odstranit tuto chybu?
djlj
Profil
Restartuj apache.
Akacko
Profil
djlj
restartoval jsem už i počitač...
djlj
Profil
Koukals do errorlogu?
Akacko
Profil
djlj
ne, nic podobneho jsem nenašel
djlj
Profil
Mrkni do /var/log. Pokud máš Windows, tak to tam taky někde bude.
Akacko
Profil
jo tak to piše, že se nenašly dynamicke knihovny, ktere jsem odkomentoval v php. ini viz
PHP Warning: PHP Startup: Unable to load dynamic library './php_mysql.dll' - Uvedenxfd modul nebyl nalezen. in Unknown on line 0
ale ve složce php/ext ty knihovny jsou.

mam to takhle

C:php/php
C:php/apache2
C:php/myslq
C:php/www - root
C:php/www/myadmin - MyAdmin
ondra_knezour
Profil
Zkopíruj tu knihovnu do adresáře system32 ve Windows.
nightfish
Profil
Zkopíruj tu knihovnu do adresáře system32 ve Windows.
konkrétně libmysql.dll
Akacko
Profil
ondra_knezour
no pokročil jsem kousek dal. už to nevypisuje tu chybu. teď pro změnu mě odmita samotne mysql
#1045 - Access denied for user 'Akacko'@'localhost' (using password: NO)

zkoušel jsem různě nastavovat config.inc.php, ale pořad to same
server: localhost, connect: tcp
djlj
Profil
Nastav si v mysql uživatele…
Akacko
Profil
pořad to nejde, ale to už nějak dořešim. diky za pomoc
peta
Profil
Akacko
zkus si nainstalovat wamp
Korči
Profil *
Prosím o pomoc z jinýho soudku.
Na Mandrake bych rád rozchodil vyšší verzi MySQL, než systémově nainstalovanou verzi 4.0.20. Nikde jsem nenašel českej návod. Mám před tim smazat tu systémovou a pak normálně nainstalovat z RPM novou verzi nebo se nechá provést ňákej upgrade apod.?
Děkuji.
nightfish
Profil
Korči
nejlepší bude asi provést zálohu dat (nejlépe ve formě textového dumpu databáze, neboť verze 4.0 a vyšší nejsou binárně kompatibilní)
pak odinstalovat starou, nainstalovat novou
znovu načíst data
doporučuji na webu pohledat články o přechodu z 4.0 na vyšší, ve většině případů musí se řešit problémy s kódováním
Korči
Profil *
Díky moc,
udělal jsem to, jak jsi psal. Všechno se podařilo, ale až poté, co sem přejmenoval adresář
var/lib/mysql

Vaše odpověď

Mohlo by se hodit


Prosím používejte diakritiku a interpunkci.

Ochrana proti spamu. Napište prosím číslo dvě-sta čtyřicet-sedm: